Admiral
User

Retrieve current user profile

GET
/api/v1/user/me

GetMe retrieves the profile of the currently authenticated user. The user is identified by the authentication token provided in the request.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...

In: header

Response Body

application/json

curl -X GET "https://admiral.example.com/api/v1/user/me"
{  "user": {    "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",    "email": "alex.chen@example.com",    "display_name": "Alex Chen",    "given_name": "Alex",    "family_name": "Chen",    "avatar_url": "https://avatars.example.com/alex-chen.jpg",    "created_at": "2025-06-01T09:00:00Z",    "updated_at": "2025-11-15T11:00:00Z"  }}